Subject: Re: Badness at net/ipv4/inet_connection_sock.c:293

From: Eric Dumazet <[email-masked]>
Date: Mon, 14 Dec 2009 20:22:13 +0100

Le 14/12/2009 20:11, David Miller a écrit :
> From: John Dykstra <[email-masked]>
> Date: Mon, 14 Dec 2009 18:57:13 +0000
> 
>> That test was changed to match a change in the return values of
>> tcp_ack().  No logic change was intended.
> 
> As Eric pointed out, changing tcp_ack()'s behavior effects state
> transitions out of SYN_ACK, so this commit is very likely the culprit.
> 
> I usually see 2 or 3 three of these bug triggers in the first ten
> minutes after bootup and I haven't seen one yet in 20 minutes
> with the commit reverted.
> 
> This change is definitely wrong.

Hmm, I didnt yet spotted the problem, just gave some hints ...